Qwt User's Guide 6.2.0

Public Member Functions | List of all members
QwtVectorFieldData Class Reference

Interface for iterating over an array of vector field samples. More...

`#include <qwt_series_data.h>`

Inheritance diagram for QwtVectorFieldData:

## Public Member Functions
| QwtVectorFieldData (const QVector< QwtVectorFieldSample > &=QVector< QwtVectorFieldSample >())
virtual QRectF | boundingRect () const override
| Calculate the bounding rectangle. More...
Public Member Functions inherited from QwtArraySeriesData< QwtVectorFieldSample >
| QwtArraySeriesData ()
| Constructor.
| QwtArraySeriesData (const QVector< QwtVectorFieldSample > &samples)
void | setSamples (const QVector< QwtVectorFieldSample > &samples)
const QVector< QwtVectorFieldSample > | samples () const
virtual size_t | size () const override
virtual QwtVectorFieldSample | sample (size_t index) const override
Public Member Functions inherited from QwtSeriesData< T >
| QwtSeriesData ()
| Constructor.
virtual | ~QwtSeriesData ()
| Destructor.
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members
Protected Attributes inherited from QwtArraySeriesData< QwtVectorFieldSample >
QVector< QwtVectorFieldSample > | m_samples
| Vector of samples.
Protected Attributes inherited from QwtSeriesData< T >
QRectF | cachedBoundingRect
| Can be used to cache a calculated bounding rectangle.

## Detailed Description

Interface for iterating over an array of vector field samples.

Definition at line 249 of file qwt_series_data.h.

## Constructor & Destructor Documentation

## ◆ QwtVectorFieldData()

QwtVectorFieldData::QwtVectorFieldData | ( | const QVector< QwtVectorFieldSample > & | samples = `QVector< QwtVectorFieldSample >( )` | ) |

Constructor

Parameters

  samples | Samples

Definition at line 327 of file qwt_series_data.cpp.

## Member Function Documentation

## ◆ boundingRect()

QRectF QwtVectorFieldData::boundingRect | ( |  | ) | const
| override virtual

Calculate the bounding rectangle.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns
  Bounding rectangle

Implements QwtSeriesData< T >.

Definition at line 341 of file qwt_series_data.cpp.